Auctions
Update an auction
Update an auction by its slug
PATCH
/
alpha
/
merchant
/
auctions
/
{slug}
Update an auction
curl --request PATCH \
--url https://api.auctionnow.io/api/alpha/merchant/auctions/{slug} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"title": "<string>",
"description": "<string>",
"startingPrice": 1,
"startTime": 123,
"endTime": 123,
"shippingCostUS": 1,
"shippingCostInternational": 1,
"imageUrls": [
"<string>"
],
"binAble": true,
"binAmount": 1,
"productId": "<string>",
"digitalLink": "<string>",
"customMessage": "<string>",
"externalProductId": "<string>",
"externalSubtenantId": "<string>",
"details": {
"color": "red",
"size": "large"
},
"isArchived": true
}
}
'import requests
url = "https://api.auctionnow.io/api/alpha/merchant/auctions/{slug}"
payload = { "data": {
"title": "<string>",
"description": "<string>",
"startingPrice": 1,
"startTime": 123,
"endTime": 123,
"shippingCostUS": 1,
"shippingCostInternational": 1,
"imageUrls": ["<string>"],
"binAble": True,
"binAmount": 1,
"productId": "<string>",
"digitalLink": "<string>",
"customMessage": "<string>",
"externalProductId": "<string>",
"externalSubtenantId": "<string>",
"details": {
"color": "red",
"size": "large"
},
"isArchived": True
} }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
title: '<string>',
description: '<string>',
startingPrice: 1,
startTime: 123,
endTime: 123,
shippingCostUS: 1,
shippingCostInternational: 1,
imageUrls: ['<string>'],
binAble: true,
binAmount: 1,
productId: '<string>',
digitalLink: '<string>',
customMessage: '<string>',
externalProductId: '<string>',
externalSubtenantId: '<string>',
details: {color: 'red', size: 'large'},
isArchived: true
}
})
};
fetch('https://api.auctionnow.io/api/alpha/merchant/auctions/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"_id": "<string>",
"_creationTime": 123,
"title": "<string>",
"description": "<string>",
"startingPrice": 1,
"startTime": 123,
"endTime": 123,
"shippingCostUS": 1,
"shippingCostInternational": 1,
"bidIncrement": 123,
"partyId": "<string>",
"slug": "<string>",
"handle": "<string>",
"binAble": true,
"binAmount": 123,
"productId": "<string>",
"externalProductId": "<string>",
"externalSubtenantId": "<string>",
"details": {},
"currentBidAmount": 123,
"productUrl": "https://myshop.auctionnow.io/my-product-123",
"isArchived": true
},
"timestamp": 123,
"message": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"error": "<string>",
"reason": "<string>"
}{
"error": "<string>",
"reason": "<string>"
}{
"error": "<string>",
"reason": "<string>"
}{
"error": "<string>"
}Headers
Your Auction Now API key as a Bearer token
Example:
"Bearer ak_XXXXXXX"
Path Parameters
The unique slug of the auction
Body
application/json
Fields to update on the auction
Show child attributes
Show child attributes
Previous
Delete an auctionSoft-delete an auction by its slug. The associated product is set to DRAFT status.
Next
⌘I
Update an auction
